%define	oname	opensi
%define name	%{oname}-client
%define version	2.0.7
%define release 3
#(peroyvind): yes, doing this twice is done on purpose to work around weird issue..
%{expand:%%define firefox_version %(mozilla-firefox-config --version)}
%{expand:%%define firefox_version %(mozilla-firefox-config --version)}
%define mozillalibdir %{_libdir}/mozilla-firefox-%{firefox_version}
%define	Summary	OpenSi client

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
Group:		Office
Url:		http://opensi.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	mozilla-firefox
Requires(pre):	mozilla-firefox = %{firefox_version}
Requires:	libopensi

%description
Client for OpenSi.

%prep
%setup -q -n %{oname}

%build

%install
rm -rf %{buildroot}
# Jar for the translation
mkdir -p %{buildroot}%{mozillalibdir}/chrome/
cp -r `pwd`  %{buildroot}%{mozillalibdir}/chrome/
# installed-chrome.txt addition
mkdir -p %{buildroot}%{mozillalibdir}/chrome/rc.d/
cat << EOF > %{buildroot}%{mozillalibdir}/chrome/rc.d/10_%{oname}.txt
content,install,url,resource:/chrome/opensi/content/opensi/
EOF

install -d %{buildroot}%{_menudir}
cat <<EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}):command="mozilla-firefox -chrome chrome://opensi/content/login.xul" \
                icon="finances_section.png" \
                needs="x11" \
                section="More Applications/Finances" \
                title="OpenSi"\
                longtitle="%{Summary}"
EOF


%post
if test -x %{mozillalibdir}/mozilla-rebuild-databases.pl; then %{mozillalibdir}/mozilla-rebuild-databases.pl; fi
%update_menus

%postun
if test -x %{mozillalibdir}/mozilla-rebuild-databases.pl; then %{mozillalibdir}/mozilla-rebuild-databases.pl; fi
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{mozillalibdir}/chrome/%{oname}
%{mozillalibdir}/chrome/rc.d/10_%{oname}.txt
%{_menudir}/%{name}

%changelog
* Tue Sep 13 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.7-3mdk
- move from club to contrib
- fix deprecated use of prereq
- work around weird problem with %%firefox_version macro by redefining it

* Tue Aug 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.7-2mdk
- macroize firefox_version to make package easily rebuild for different releases

* Mon Jul 25 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.7-1mdk
- initial release (for corporate club)
